PETSc version 3.15.5
Fix/Edit manual page

# DMGetLabel

Return the label of a given name, or NULL

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabel(DM dm, const char name[], DMLabel *label)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Output Parameter

| label | - The DMLabel, or NULL if the label is absent

Note: Some of the default labels in a DMPlex will be

    "depth"       - Holds the depth (co-dimension) of each mesh point

    "celltype"    - Holds the topological type of each cell

    "ghost"       - If the DM is distributed with overlap, this marks the cells and faces in the overlap

    "Cell Sets"   - Mirrors the cell sets defined by GMsh and ExodusII

    "Face Sets"   - Mirrors the face sets defined by GMsh and ExodusII

    "Vertex Sets" - Mirrors the vertex sets defined by GMsh

### See Also

DMCreateLabel(), DMHasLabel(), DMPlexGetDepthLabel(), DMPlexGetCellType()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex2.c.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/plex/tutorials/ex1f90.F90.html
src/dm/label/tutorials/ex1.c.html
src/dm/label/tutorials/ex1f90.F90.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex45.c.html
src/ts/tutorials/ex46.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages